package com.ramos.munoz.tesis;

import java.util.LinkedList;
import java.util.List;

import com.google.android.gms.maps.model.LatLng;

public class Ruta {
    private String nombre;
    private final List<LatLng> puntos;
    private List<Segmento> segmentos;
    private String copyright;
    private String warning;
    private String pais;
    private int longitud;
    private String polyline;

    public Ruta() {
	puntos = new LinkedList<LatLng>();
	segmentos = new LinkedList<Segmento>();
    }

    public void agregarPunto(final LatLng punto) {
	puntos.add(punto);
    }

    public void agregarPuntos(final List<LatLng> puntos) {
	this.puntos.addAll(puntos);
    }

    public List<LatLng> getPuntos() {
	return puntos;
    }

    public void agregarSegmento(final Segmento segmento) {
	segmentos.add(segmento);
    }

    public List<Segmento> getSegmentos() {
	return segmentos;
    }

    public void setNombre(final String nombre) {
	this.nombre = nombre;
    }

    public String getNombre() {
	return nombre;
    }

    public void setCopyright(String copyright) {
	this.copyright = copyright;
    }


    public String getCopyright() {
	return copyright;
    }


    public void setWarning(String warning) {
	this.warning = warning;
    }


    public String getWarning() {
	return warning;
    }


    public void setPais(String pais) {
	this.pais = pais;
    }

    public String getPais() {
	return pais;
    }


    public void setLongitud(int longitud) {
	this.longitud = longitud;
    }

    public int getLongitud() {
	return longitud;
    }


    public void setPolyline(String polyline) {
	this.polyline = polyline;
    }

    public String getPolyline() {
	return polyline;
    }

}
